using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace GenericDataAcces
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class WebForm1 : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.DataGrid DataGrid1;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.DataGrid DataGrid2;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.DataGrid DataGrid3;
		protected System.Web.UI.WebControls.Label Label2;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if (!Page.IsPostBack) {
				LoadGrids();
			}
		}

		private void LoadGrids() {
			//
			// Ejecuta la conexion con SQLClient
			//
			GenericDataAccess.SetConnectionString = "User ID=sa;Password=;Initial Catalog=pubs;Data Source=localhost";
			
			GenericDataAccess.SetSqlQuery = "Select Top 5 * From authors";
			DataSet DS_SqlClient = GenericDataAccess.ExecuteDataset(GenericDataAccess.PROVIDER_SQLCLIENT);

			DataGrid1.DataSource = DS_SqlClient;
			DataGrid1.DataBind();
			//
			// Ejecuta la conexion con OLEDB
			//
			GenericDataAccess.SetConnectionString = "Provider=sqloledb;Data Source=localhost;Initial Catalog=pubs;User Id=sa;Password=;";
			
			GenericDataAccess.SetSqlQuery = "Select Top 5 * From authors";
			DataSet DS_OleDb = GenericDataAccess.ExecuteDataset(GenericDataAccess.PROVIDER_OLEDB);

			DataGrid2.DataSource = DS_OleDb;
			DataGrid2.DataBind();
			//
			// Ejecuta la conexion con OLEDB
			//
			GenericDataAccess.SetConnectionString = "Driver={SQL Server};Server=localhost;Database=pubs;Uid=sa;Pwd=;";
			
			GenericDataAccess.SetSqlQuery = "Select Top 5 * From authors";
			DataSet DS_ODBC = GenericDataAccess.ExecuteDataset(GenericDataAccess.PROVIDER_ODBC);

			DataGrid3.DataSource = DS_ODBC;
			DataGrid3.DataBind();
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
